"""Add the rest of the match tables

Revision ID: 7995474ef2cc
Revises: fda727438444
Create Date: 2024-12-09 16:17:25.518959

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '7995474ef2cc'
down_revision = 'fda727438444'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('players_matches',
    sa.Column('player_id', sa.BigInteger(), nullable=False),
    sa.Column('match_id', sa.Integer(), nullable=False),
    sa.Column('kills', sa.Integer(), nullable=False),
    sa.Column('deaths', sa.Integer(), nullable=False),
    sa.Column('assists', sa.Integer(), nullable=False),
    sa.Column('damage', sa.BigInteger(), nullable=False),
    sa.Column('damage_taken', sa.BigInteger(), nullable=False),
    sa.ForeignKeyConstraint(['match_id'], ['matches.logs_tf_id'], ),
    sa.ForeignKeyConstraint(['player_id'], ['players.steam_id'], ),
    sa.PrimaryKeyConstraint('player_id', 'match_id')
    )
    op.create_table('teams_matches',
    sa.Column('team_id', sa.Integer(), nullable=False),
    sa.Column('match_id', sa.Integer(), nullable=False),
    sa.Column('team_color', sa.String(length=4), nullable=False),
    sa.ForeignKeyConstraint(['match_id'], ['matches.logs_tf_id'], ),
    sa.ForeignKeyConstraint(['team_id'], ['teams.id'], ),
    sa.PrimaryKeyConstraint('team_id', 'match_id')
    )
    with op.batch_alter_table('matches', schema=None) as batch_op:
        batch_op.add_column(sa.Column('blue_score', sa.Integer(), nullable=False))
        batch_op.add_column(sa.Column('red_score', sa.Integer(), nullable=False))

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('matches', schema=None) as batch_op:
        batch_op.drop_column('red_score')
        batch_op.drop_column('blue_score')

    op.drop_table('teams_matches')
    op.drop_table('players_matches')
    # ### end Alembic commands ###
